Package be.ehealth.businessconnector.genericasync.mappers

# Class CommonInputMapperImpl

java.lang.Object
be.ehealth.businessconnector.genericasync.mappers.CommonInputMapperImpl

All Implemented Interfaces:
  `CommonInputMapper`

@Generated(value="org.mapstruct.ap.MappingProcessor", date="2025-09-16T20:41:14+0200", comments="version: 1.6.3, compiler: javac, environment: Java 21.0.7 (Eclipse Adoptium)") public class CommonInputMapperImpl extends Object implements CommonInputMapper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonInputMapperImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CareProviderType`
  `map(CareProvider input)`
  `CommonInput`
  `map(CommonInput input)`
  `IdType`
  `map(Identification input)`
  `NihiiType`
  `map(Nihii input)`
  `OrigineType`
  `map(Origin input)`
  `PartyType`
  `map(Party input)`
  `PackageType`
  `map(PackageInfo input)`
  `PackageType`
  `mapMCNPackage(McnPackageInfo input)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonInputMapperImpl

    public CommonInputMapperImpl()

- ## Method Details

  - ### map

    public CommonInput map(CommonInput input)
    Specified by:
      `map` in interface `CommonInputMapper`

  - ### map

    public OrigineType map(Origin input)
    Specified by:
      `map` in interface `CommonInputMapper`

  - ### map

    public PackageType map(PackageInfo input)
    Specified by:
      `map` in interface `CommonInputMapper`

  - ### map

    public CareProviderType map(CareProvider input)
    Specified by:
      `map` in interface `CommonInputMapper`

  - ### map

    public NihiiType map(Nihii input)
    Specified by:
      `map` in interface `CommonInputMapper`

  - ### map

    public IdType map(Identification input)
    Specified by:
      `map` in interface `CommonInputMapper`

  - ### map

    public PartyType map(Party input)
    Specified by:
      `map` in interface `CommonInputMapper`

  - ### mapMCNPackage

    public PackageType mapMCNPackage(McnPackageInfo input)
    Specified by:
      `mapMCNPackage` in interface `CommonInputMapper`